7

I faced this issue on Ask Ubuntu long time ago, and it was gone. But for the two months, I'm facing this issue on every SE website I'm visiting.

I'm using Fedora 27 GNOME, Firefox Quantum, and I also have Chrome, latest updates. For the last two months almost, every time I post a comment, I have to refresh so I can see my comment. Even if I edit my comment, it will disappear, and I have to refresh again.

I have JavaScript enabled.

The error

Error: Permission denied to access property "apply"
[Learn More]
jquery.min.js:3:11594
trigger
https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js:3:11594
trigger/<
https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js:3:18983
each
https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js:2:2879
each
https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js:2:844
trigger
https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js:3:18962
n.fn[b]
https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js:4:16315
submitNewComment/<
https://meta.stackexchange.com/content/Js/full.en.js:5:3669
i
https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js:2:27444
fireWith
https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js:2:28213
y
https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js:4:22719
c
https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js:4:26925

I've caught the bug; it's caused by the plugin uGet:

I am not sure if you can do anything about it. I'll notify the creator of the plugin. When I disable it, everything is fine.

Please note that this plugin might be the only plugin that works with Firefox Quantum to open an external download manager. As FlashGot died, many users might switch to this plugin, so this bug might affect a large number of people, at least those using Quantum.

  • Check the developer console, you'll most likely see some client side error. Copy this and add to the question, it will help the developers to debug the problem. – Shadow The Princess Wizard Jan 6 '18 at 20:29
  • Huh, interesting. Looks like that's in Firefox (and might be related to extension you installed), what error you get in Chrome browser? – Shadow The Princess Wizard Jan 6 '18 at 20:47
  • @ShadowtheHedgehogWizard thanks to you, I've been able to spot what plugin is causing the problem. – Lynob Jan 6 '18 at 20:57
  • Cheers, for the record there's nothing SE should do, that's 100% the fault of the plugin. That's exactly the reason I never use them and will never use: they always break things, and can't be trusted. – Shadow The Princess Wizard Jan 6 '18 at 21:03
  • What do you mean by FlashGot died? That it didn't get updated for Firefox Quantum? Or something else? – Peter Mortensen Jan 6 '18 at 23:59
  • @PeterMortensen yes I meant that – Lynob Jan 7 '18 at 0:01
4

The developer of uGet Integration addon is here. This problem occurs if an addon loads content scripts into the addon.

I have fixed the problem and released new version 2.1.1 with the fix. Please upgrade your addon to 2.1.1

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .